itpp::Audio_Sample< enc_linear16 > Class Reference
Source Coding Module » Audio

16-bit PCM encoded audio samples More...

`#include <itpp/srccode/audiosample.h>`

## Public Types

typedef int16_t | enc_sample_type

## Static Public Member Functions

static enc_sample_type | encode (const double &s)
static double | decode (const enc_sample_type &s)

## Static Public Attributes

static const std::size_t | enc_sample_size = sizeof(enc_sample_type)

## Detailed Description

16-bit PCM encoded audio samples

Definition at line 144 of file audiosample.h.

The documentation for this class was generated from the following file:

- itpp/srccode/audiosample.h

Generated on Tue Aug 17 2021 10:59:15 for IT++ by Doxygen 1.9.1